"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var Base_1 = __importDefault(require("./Base"));
/** Represents a chat channel. */
var Channel = /** @class */ (function (_super) {
    __extends(Channel, _super);
    function Channel(client, name) {
        var _this = _super.call(this, client) || this;
        _this.name = name;
        return _this;
    }
    /**
     * Send a message to this channel
     */
    Channel.prototype.sendMessage = function (message) {
        this.client.sendChannelMessage(this.name, message);
    };
    return Channel;
}(Base_1.default));
exports.default = Channel;
