"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var Base_1 = __importDefault(require("./Base"));
/** Represents a player from the room. */
var Player = /** @class */ (function (_super) {
    __extends(Player, _super);
    /**
     * @hidden
     */
    function Player(client, name) {
        if (name === void 0) { name = ""; }
        var _this = _super.call(this, client) || this;
        _this.name = name;
        return _this;
    }
    /**
     * Send a whisper to the player
     */
    Player.prototype.whisper = function (message) {
        this.client.sendWhisper(this.name, message);
    };
    /**
     * Add player to the friend list
     */
    Player.prototype.friend = function () {
        this.client.addFriend(this.name);
    };
    /**
     * Remove player from the friend list
     */
    Player.prototype.unfriend = function () {
        this.client.removeFriend(this.name);
    };
    return Player;
}(Base_1.default));
exports.default = Player;
